| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Properties | List of all members
iolink.iolink.ImageType Class Reference
Inheritance diagram for iolink.iolink.ImageType:

## Public Member Functions
| __init__ (self, *args)
| has (self, dimension)
| add (self, dimension)
| dimension_count (self)
| remove (self, *args)
| index_dimension (self, dimension)
| __or__ (self, rhs)
| __eq__ (self, other)
| __ne__ (self, other)
| to_string (self)
| value (self)
| __init__ (self, obj)
| dimension (self, index)
| __repr__ (self)

## Protected Member Functions
| _dimension (self, index)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    A flag system that describes the dimensions of an image.
    An image is firstly defined by its dimensions.

    i.e.
    - a classic Image has COLUMN and ROW dimensions
    - a volume has COLUMN, ROW and SLICE dimensions
    Concerning the order of dimensions, it follows #ImageDimension values order.

## Constructor & Destructor Documentation

## ◆ __init__()

iolink.iolink.ImageType.__init__ | ( |  | self,
|  | * | args
| ) |  |

        *Overload 1:*

        Create an ImageType with no known dimensions.

        |

        *Overload 2:*

        Create an ImageType with a list of dimensions (C array style)

        |

        *Overload 3:*

        Create an ImageType from an 64-bits integer

## Member Function Documentation

## ◆ __eq__()

iolink.iolink.ImageType.__eq__ | ( |  | self,
|  |  | other
| ) |  |

        Equality operator
           :type other: :py:class:`ImageType`
           :param other: Right operand which represents a ImageType to compare to current one
           :rtype: boolean
           :return: TRUE if ImageType is equal to current one

## ◆ __ne__()

iolink.iolink.ImageType.__ne__ | ( |  | self,
|  |  | other
| ) |  |

        Not-Equality operator
           :type other: :py:class:`ImageType`
           :param other: Right operand which represents a ImageType to compare to current one
           :rtype: boolean
           :return: TRUE if ImageType is NOT equal to current one

## ◆ __or__()

iolink.iolink.ImageType.__or__ | ( |  | self,
|  |  | rhs
| ) |  |

        Equivalent to add.
           :type rhs: int
           :param rhs: Right operand which represents a dimension to add to current ImageType
           :rtype: :py:class:`ImageType`
           :return: ImageType with new given dimension

## ◆ _dimension()

iolink.iolink.ImageType._dimension | ( |  | self,
|  |  | index
| ) |  |
| protected

        Return the nth dimension at the given position

        e.g. in an IMAGE_SEQUENCE:
        [COLUMN]('#ImageDimension.COLUMN)' is the dimension returned for index = 0
        [ROW]('#ImageDimension.ROW)' is the dimension returned for index = 1
        [SEQUENCE]('#ImageDimension.SEQUENCE)' is the dimension returned for index = 2

        :raises: Error if index does not exist in current ImageType
        :type index: int
        :param index: dimension index in the ImageType
        :rtype: int
        :return: the dimension corresponding to the given index

## ◆ add()

iolink.iolink.ImageType.add | ( |  | self,
|  |  | dimension
| ) |  |

        Add the given dimension to the ImageType.
        :type dimension: int
        :param dimension: dimension to add in the ImageType

## ◆ dimension()

iolink.iolink.ImageType.dimension | ( |  | self,
|  |  | index
| ) |  |

    Return the nth dimension at the given position.

    :param index: dimension index in the ImageType
    :return the dimension corresponding to the given index

    :raises:
      Error: if index does not exist in current ImageType

## ◆ dimension_count()

iolink.iolink.ImageType.dimension_count | ( |  | self | ) |

    Give the number of dimensions in the ImageType

## ◆ has()

iolink.iolink.ImageType.has | ( |  | self,
|  |  | dimension
| ) |  |

        Checks if the ImageType has the given dimension.
        :type dimension: int
        :param dimension: dimension presence to be checked
        :rtype: boolean
        :return: TRUE if dimension is present in the ImageType

## ◆ index_dimension()

iolink.iolink.ImageType.index_dimension | ( |  | self,
|  |  | dimension
| ) |  |

        Return the position of given dimension in the current ImageType

        e.g. in an IMAGE_SEQUENCE:
        [COLUMN]('#ImageDimension.COLUMN)' is the first dimension (idx = 0 is returned)
        [ROW]('#ImageDimension.ROW)' is the second dimension (idx = 1 is returned)
        [SEQUENCE]('#ImageDimension.SEQUENCE)' is the 3th dimension (idx= 2 is returned)

        :type dimension: int
        :param dimension: the dimension whom you want to get the index in the current ImageType
        :rtype: int
        :return: -1 if the dimension is not present, otherwise the position (index) in current ImageType

## ◆ remove()

iolink.iolink.ImageType.remove | ( |  | self,
|  | * | args
| ) |  |

        *Overload 1:*

        Remove the given dimension to the ImageType.
        :type dimension: int
        :param dimension: dimension to remove from ImageType

        |

        *Overload 2:*

        Remove the nth dimension to the ImageType.
        :type index: int
        :param index: index of the dimension to remove

## ◆ to_string()

iolink.iolink.ImageType.to_string | ( |  | self | ) |

    Return string interpretation

## ◆ value()

iolink.iolink.ImageType.value | ( |  | self | ) |

    Return internal 64-bit integer value

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py